--- asterisk_old/apps/app_sms.c	Mon Jun 28 15:13:56 2004
+++ asterisk/apps/app_sms.c	Mon Jun 28 15:13:09 2004
@@ -203,7 +203,7 @@
 packdate (unsigned char *o, time_t w)
 {
   struct tm *t = localtime (&w);
-#if defined(__FreeBSD__) || defined(__OpenBSD__)
+#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__APPLE__)
   int z = - t->tm_gmtoff / 3600 / 15;
 #else
   int z = timezone / 3600 / 15;
diff -ur --exclude=CVS asterisk_old/codecs/ilbc/Makefile asterisk/codecs/ilbc/Makefile
--- asterisk_old/codecs/ilbc/Makefile	Mon Jun 28 15:13:56 2004
+++ asterisk/codecs/ilbc/Makefile	Mon Jun 28 15:13:08 2004
@@ -1,5 +1,9 @@
 ARCH=$(PROC)
+ifeq (${OSARCH},Darwin)
+CFLAGS+=-Wall -Werror -fPIC -O3 -funroll-loops -fomit-frame-pointer
+else
 CFLAGS+=-Wall -Werror -fPIC -O3 -march=$(ARCH) -funroll-loops -fomit-frame-pointer
+endif
 LIB=libilbc.a
 
 OBJS= anaFilter.o iCBSearch.o packing.o \
diff -ur --exclude=CVS asterisk_old/db1-ast/btree/bt_debug.c asterisk/db1-ast/btree/bt_debug.c
--- asterisk_old/db1-ast/btree/bt_debug.c	Mon Jun 28 15:13:57 2004
+++ asterisk/db1-ast/btree/bt_debug.c	Mon Jun 28 15:13:07 2004
@@ -38,6 +38,7 @@
 static char sccsid[] = "@(#)bt_debug.c	8.5 (Berkeley) 8/17/94";
 #endif /* LIBC_SCCS and not lint */
 
+#ifdef DEBUG
 #include <sys/param.h>
 
 #include <stdio.h>
@@ -47,7 +48,6 @@
 #include <db.h>
 #include "btree.h"
 
-#ifdef DEBUG
 /*
  * BT_DUMP -- Dump the tree
  *
diff -ur --exclude=CVS asterisk_old/db1-ast/mpool/mpool.c asterisk/db1-ast/mpool/mpool.c
--- asterisk_old/db1-ast/mpool/mpool.c	Mon Jun 28 15:13:57 2004
+++ asterisk/db1-ast/mpool/mpool.c	Mon Jun 28 15:13:07 2004
@@ -50,6 +50,8 @@
 #define	__MPOOLINTERFACE_PRIVATE
 #include <mpool.h>
 
+#undef __APPLE__
+
 #ifndef __APPLE__
 #define mpool_open __mpool_open
 #define mpool_filter __mpool_filter
@@ -310,6 +312,8 @@
 	/* Sync the file descriptor. */
 	return (fsync(mp->fd) ? RET_ERROR : RET_SUCCESS);
 }
+
+#define __APPLE__
 
 #ifndef __APPLE__
 #undef mpool_open
diff -ur --exclude=CVS asterisk_old/utils.c asterisk/utils.c
--- asterisk_old/utils.c	Mon Jun 28 15:13:56 2004
+++ asterisk/utils.c	Mon Jun 28 15:13:09 2004
@@ -18,7 +18,7 @@
 static char base64[64];
 static char b2a[256];
 
-#if defined(__FreeBSD__) || defined(__OpenBSD__)
+#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__APPLE__)
 
 /* duh? ERANGE value copied from web... */
 #define ERANGE 34
@@ -190,13 +190,13 @@
 	ast_mutex_lock(&test_lock);
 	lock_count += 1;
 	pthread_create(&test_thread, NULL, test_thread_body, NULL); 
-	pthread_yield();
+	//pthread_yield();
 	usleep(100);
 	if (lock_count != 2) 
 		test_errors++;
 	ast_mutex_unlock(&test_lock);
 	lock_count -= 1;
-	pthread_yield(); 
+	//pthread_yield(); 
 	usleep(100); 
 	if (lock_count != 1) 
 		test_errors++;
@@ -205,7 +205,7 @@
 	if (lock_count != 0) 
 		test_errors++;
 	ast_mutex_unlock(&test_lock2);
-	pthread_yield();
+	//pthread_yield();
 	usleep(100);
 	if (lock_count != 0) 
 		test_errors++;
